@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
taskkill /f /im QQG*  >NUL 2>NUL
::注册房间消息输入框及相关功能控件
regsvr32 /s CUQG.ocx QQGameDetect.ocx
regsvr32 /s Logic\CAAddins\GInterop.dll
::屏蔽手游管理器、斗地主广告、清理数据
rd/s/q "%AppData%\Tencent\Logs"  2>NUL
rd/s/q "%AppData%\Tencent\QQGame"2>NUL
rd/s/q "%AppData%\Tencent\QQGameAndroidMgr"2>NUL
reg delete HKLM\Software\Tencent\QQGame /F>NUL 2>NUL
md "%AppData%\Tencent\QQGame\MiniGameFile\Hlddz"2>NUL
echo.NoAndroid>"%AppData%\Tencent\QQGameAndroidMgr" 2>NUL
echo.NoAndroid>"%AppData%\Tencent\QQGame\AndroidMgr" 2>NUL
echo.>"%AppData%\Tencent\QQGame\MiniGameFile\Hlddz\AD" 2>NUL
rd/s/q "%AllUsersProfile%\Application Data\Tencent\QQGame"2>NUL
if exist "%Public%" rd/s/q "%ProgramData%\Tencent\QQGame"2>NUL
reg delete HKLM\Software\Wow6432Node\Tencent\QQGame /F>NUL 2>NUL
::关联大厅添加开始游戏调用程序协议
reg add HKCR\QQGameProtocol /v "URL Protocol" /d "%~dp0QQGwp.exe" /F>NUL
reg add HKCR\QQGameProtocol\shell\open\command /ve /d "\"%~dp0QQGwp.exe\" \"%%1\"" /F>NUL
ECHO.&ECHO.完成! 是否创建桌面快捷方式？
ECHO.&ECHO.是请按任意键，否直接关闭吧！&PAUSE >NUL 2>NUL
::创建桌面快捷方式！
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\QQ游戏.lnk""):b.TargetPath=""%~dp0QQGame.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&ECHO.&ECHO.完成! &PAUSE >NUL 2>NUL